#debuginfo not supported with Go
%global debug_package %{nil}
%global package_name openshift-gitops-kam
%global product_name OpenShift GitOps
%global golang_version 1.18
%global kam_version 0.0.48
%global kam_release 1
%global kam_cli_version v%{kam_version}
%global source_dir kam
%global source_tar %{source_dir}-%{kam_cli_version}.tar.gz

Name:           %{package_name}
Version:        %{kam_version}
Release:        %{kam_release}%{?dist}
Summary:        %{product_name} client kam CLI binary
License:        ASL 2.0
URL:            https://github.com/redhat-developer/kam

Source0:        https://github.com/redhat-developer/kam/archive/%{kam_cli_version}/%{source_tar}

BuildRequires:  golang >= %{golang_version}
BuildRequires:  make

Obsoletes:      kam < %{version}-%{release}
Provides:       kam = %{version}-%{release}

%description
Client kam provides developer experience to work with GitOps.

%prep
%setup -q -n %{source_dir}-%{kam_version}

%build
%make_build bin VERSION=%{version}

%install
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 bin/kam %{buildroot}/%{_bindir}/kam

 # Install bash completions
install -d -m 755 %{buildroot}%{bash_completions_dir} %{buildroot}%{zsh_completions_dir}
echo "+++ INSTALLING BASH COMPLETIONS FOR kam "
%{buildroot}%{_bindir}/kam completion bash > %{buildroot}%{bash_completions_dir}/kam
echo "+++ INSTALLING ZSH COMPLETIONS FOR kam "
%{buildroot}%{_bindir}/kam completion zsh > %{buildroot}%{zsh_completions_dir}/kam


%files
%license LICENSE
%{_bindir}/kam
%{bash_completions_dir}/kam
%{zsh_completions_dir}/kam


%changelog
